<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myWorkEffortLabel" jhiTranslate="mpmApp.workEffort.home.createOrEditLabel">Create or edit a Work Effort</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!workEffort.idWe">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="workEffort.idWe" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.workEffort.name" for="field_name">Name</label>
            <input type="text" class="form-control" name="name" id="field_name"
                [(ngModel)]="workEffort.name"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.workEffort.description" for="field_description">Description</label>
            <input type="text" class="form-control" name="description" id="field_description"
                [(ngModel)]="workEffort.description"  />
        </div>

        <div class="form-group">
            <label jhiTranslate="mpmApp.workEffort.payment" for="field_payment">Payment</label>
            <select class="form-control" id="field_payment" multiple name="payment" [(ngModel)]="workEffort.payments">
                <option [ngValue]="getSelected(workEffort.payments, paymentApplicationOption)" *ngFor="let paymentApplicationOption of paymentapplications; trackBy: trackPaymentApplicationById">{{paymentApplicationOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.workEffort.facility" for="field_facility">Facility</label>
            <select class="form-control" id="field_facility" name="facility" [(ngModel)]="workEffort.facilityId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilities; trackBy: trackFacilityById">{{facilityOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.workEffort.workType" for="field_workType">Work Type</label>
            <select class="form-control" id="field_workType" name="workType" [(ngModel)]="workEffort.workTypeId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="workEffortTypeOption.idWeType" *ngFor="let workEffortTypeOption of workefforttypes; trackBy: trackWorkEffortTypeById">{{workEffortTypeOption.description}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
